Index: /main/eko-disco-specs/trunk/Makefile
===================================================================
--- /main/eko-disco-specs/trunk/Makefile	(revision 10584)
+++ /main/eko-disco-specs/trunk/Makefile	(revision 10584)
@@ -0,0 +1,177 @@
+# Makefile for Sphinx documentation
+#
+
+# You can set these variables from the command line.
+SPHINXOPTS    =
+SPHINXBUILD   = sphinx-build
+PAPER         =
+BUILDDIR      = _build
+
+# User-friendly check for sphinx-build
+ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
+$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
+endif
+
+# Internal variables.
+PAPEROPT_a4     = -D latex_paper_size=a4
+PAPEROPT_letter = -D latex_paper_size=letter
+ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
+# the i18n builder cannot share the environment and doctrees with the others
+I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
+
+.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
+
+help:
+	@echo "Please use \`make <target>' where <target> is one of"
+	@echo "  html       to make standalone HTML files"
+	@echo "  dirhtml    to make HTML files named index.html in directories"
+	@echo "  singlehtml to make a single large HTML file"
+	@echo "  pickle     to make pickle files"
+	@echo "  json       to make JSON files"
+	@echo "  htmlhelp   to make HTML files and a HTML help project"
+	@echo "  qthelp     to make HTML files and a qthelp project"
+	@echo "  devhelp    to make HTML files and a Devhelp project"
+	@echo "  epub       to make an epub"
+	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
+	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
+	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
+	@echo "  text       to make text files"
+	@echo "  man        to make manual pages"
+	@echo "  texinfo    to make Texinfo files"
+	@echo "  info       to make Texinfo files and run them through makeinfo"
+	@echo "  gettext    to make PO message catalogs"
+	@echo "  changes    to make an overview of all changed/added/deprecated items"
+	@echo "  xml        to make Docutils-native XML files"
+	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
+	@echo "  linkcheck  to check all external links for integrity"
+	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
+
+clean:
+	rm -rf $(BUILDDIR)/*
+
+html:
+	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+	@echo
+	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
+
+dirhtml:
+	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
+	@echo
+	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
+
+singlehtml:
+	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
+	@echo
+	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."
+
+pickle:
+	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
+	@echo
+	@echo "Build finished; now you can process the pickle files."
+
+json:
+	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
+	@echo
+	@echo "Build finished; now you can process the JSON files."
+
+htmlhelp:
+	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
+	@echo
+	@echo "Build finished; now you can run HTML Help Workshop with the" \
+	      ".hhp project file in $(BUILDDIR)/htmlhelp."
+
+qthelp:
+	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
+	@echo
+	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
+	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/eco-discospecs.qhcp"
+	@echo "To view the help file:"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/eco-discospecs.qhc"
+
+devhelp:
+	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
+	@echo
+	@echo "Build finished."
+	@echo "To view the help file:"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/eco-discospecs"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/eco-discospecs"
+	@echo "# devhelp"
+
+epub:
+	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
+	@echo
+	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."
+
+latex:
+	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
+	@echo
+	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
+	@echo "Run \`make' in that directory to run these through (pdf)latex" \
+	      "(use \`make latexpdf' here to do that automatically)."
+
+latexpdf:
+	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
+	@echo "Running LaTeX files through pdflatex..."
+	$(MAKE) -C $(BUILDDIR)/latex all-pdf
+	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
+
+latexpdfja:
+	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
+	@echo "Running LaTeX files through platex and dvipdfmx..."
+	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
+	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
+
+text:
+	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
+	@echo
+	@echo "Build finished. The text files are in $(BUILDDIR)/text."
+
+man:
+	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
+	@echo
+	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."
+
+texinfo:
+	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
+	@echo
+	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
+	@echo "Run \`make' in that directory to run these through makeinfo" \
+	      "(use \`make info' here to do that automatically)."
+
+info:
+	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
+	@echo "Running Texinfo files through makeinfo..."
+	make -C $(BUILDDIR)/texinfo info
+	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."
+
+gettext:
+	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
+	@echo
+	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."
+
+changes:
+	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
+	@echo
+	@echo "The overview file is in $(BUILDDIR)/changes."
+
+linkcheck:
+	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
+	@echo
+	@echo "Link check complete; look for any errors in the above output " \
+	      "or in $(BUILDDIR)/linkcheck/output.txt."
+
+doctest:
+	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
+	@echo "Testing of doctests in the sources finished, look at the " \
+	      "results in $(BUILDDIR)/doctest/output.txt."
+
+xml:
+	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
+	@echo
+	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."
+
+pseudoxml:
+	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
+	@echo
+	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."
Index: /main/eko-disco-specs/trunk/README.rst
===================================================================
--- /main/eko-disco-specs/trunk/README.rst	(revision 10584)
+++ /main/eko-disco-specs/trunk/README.rst	(revision 10584)
@@ -0,0 +1,23 @@
+How to install this specs
+=========================
+
+Create a virtualenv and activate it::
+
+  $ virtualenv py27
+  $ source py27/bin/activate
+  (py27) $
+
+Install Sphinx::
+
+  (py27) $ pip install sphinx
+
+Download sources::
+
+  (py27) $ svn co https://ulif@svn.waeup.org/repos/main/eko-disco-specs
+  (py27) $ cd eko-disco-specs
+
+Create docs as HTML::
+
+  (py27) $ make html
+
+Results can be found in local ``_build`` dir.
Index: /main/eko-disco-specs/trunk/conf.py
===================================================================
--- /main/eko-disco-specs/trunk/conf.py	(revision 10584)
+++ /main/eko-disco-specs/trunk/conf.py	(revision 10584)
@@ -0,0 +1,312 @@
+# -*- coding: utf-8 -*-
+#
+# eco-disco specs documentation build configuration file, created by
+# sphinx-quickstart on Wed Sep  4 09:10:02 2013.
+#
+# This file is execfile()d with the current directory set to its containing dir.
+#
+# Note that not all possible configuration values are present in this
+# autogenerated file.
+#
+# All configuration values have a default; values that are commented out
+# serve to show the default.
+
+import sys, os
+
+# If extensions (or modules to document with autodoc) are in another directory,
+# add these directories to sys.path here. If the directory is relative to the
+# documentation root, use os.path.abspath to make it absolute, like shown here.
+#sys.path.insert(0, os.path.abspath('.'))
+
+# -- General configuration -----------------------------------------------------
+
+# If your documentation needs a minimal Sphinx version, state it here.
+#needs_sphinx = '1.0'
+
+# Add any Sphinx extension module names here, as strings. They can be extensions
+# coming with Sphinx (named 'sphinx.ext.*') or your custom ones.
+extensions = ['sphinx.ext.intersphinx', 'sphinx.ext.todo', 'sphinx.ext.ifconfig', 'sphinx.ext.viewcode', 'sphinx.ext.autodoc']
+
+# Add any paths that contain templates here, relative to this directory.
+templates_path = ['_templates']
+
+# The suffix of source filenames.
+source_suffix = '.rst'
+
+# The encoding of source files.
+#source_encoding = 'utf-8-sig'
+
+# The master toctree document.
+master_doc = 'index'
+
+# General information about the project.
+project = u'Eko-Disco Specification'
+copyright = u'2013, WAeUP Germany'
+
+# The version info for the project you're documenting, acts as replacement for
+# |version| and |release|, also used in various other places throughout the
+# built documents.
+#
+# The short X.Y version.
+version = '0.1dev'
+# The full version, including alpha/beta/rc tags.
+release = '0.1dev'
+
+# The language for content autogenerated by Sphinx. Refer to documentation
+# for a list of supported languages.
+#language = None
+
+# There are two options for replacing |today|: either, you set today to some
+# non-false value, then it is used:
+#today = ''
+# Else, today_fmt is used as the format for a strftime call.
+#today_fmt = '%B %d, %Y'
+
+# List of patterns, relative to source directory, that match files and
+# directories to ignore when looking for source files.
+exclude_patterns = ['_build']
+
+# The reST default role (used for this markup: `text`) to use for all documents.
+#default_role = None
+
+# If true, '()' will be appended to :func: etc. cross-reference text.
+#add_function_parentheses = True
+
+# If true, the current module name will be prepended to all description
+# unit titles (such as .. function::).
+#add_module_names = True
+
+# If true, sectionauthor and moduleauthor directives will be shown in the
+# output. They are ignored by default.
+#show_authors = False
+
+# The name of the Pygments (syntax highlighting) style to use.
+pygments_style = 'sphinx'
+
+# A list of ignored prefixes for module index sorting.
+#modindex_common_prefix = []
+
+# If true, keep warnings as "system message" paragraphs in the built documents.
+#keep_warnings = False
+
+
+# -- Options for HTML output ---------------------------------------------------
+
+# The theme to use for HTML and HTML Help pages.  See the documentation for
+# a list of builtin themes.
+html_theme = 'default'
+
+# Theme options are theme-specific and customize the look and feel of a theme
+# further.  For a list of options available for each theme, see the
+# documentation.
+#html_theme_options = {}
+
+# Add any paths that contain custom themes here, relative to this directory.
+#html_theme_path = []
+
+# The name for this set of Sphinx documents.  If None, it defaults to
+# "<project> v<release> documentation".
+#html_title = None
+
+# A shorter title for the navigation bar.  Default is the same as html_title.
+#html_short_title = None
+
+# The name of an image file (relative to this directory) to place at the top
+# of the sidebar.
+#html_logo = None
+
+# The name of an image file (within the static path) to use as favicon of the
+# docs.  This file should be a Windows icon file (.ico) being 16x16 or 32x32
+# pixels large.
+#html_favicon = None
+
+# Add any paths that contain custom static files (such as style sheets) here,
+# relative to this directory. They are copied after the builtin static files,
+# so a file named "default.css" will overwrite the builtin "default.css".
+html_static_path = ['_static']
+
+# If not '', a 'Last updated on:' timestamp is inserted at every page bottom,
+# using the given strftime format.
+#html_last_updated_fmt = '%b %d, %Y'
+
+# If true, SmartyPants will be used to convert quotes and dashes to
+# typographically correct entities.
+#html_use_smartypants = True
+
+# Custom sidebar templates, maps document names to template names.
+#html_sidebars = {}
+
+# Additional templates that should be rendered to pages, maps page names to
+# template names.
+#html_additional_pages = {}
+
+# If false, no module index is generated.
+#html_domain_indices = True
+
+# If false, no index is generated.
+#html_use_index = True
+
+# If true, the index is split into individual pages for each letter.
+#html_split_index = False
+
+# If true, links to the reST sources are added to the pages.
+#html_show_sourcelink = True
+
+# If true, "Created using Sphinx" is shown in the HTML footer. Default is True.
+#html_show_sphinx = True
+
+# If true, "(C) Copyright ..." is shown in the HTML footer. Default is True.
+#html_show_copyright = True
+
+# If true, an OpenSearch description file will be output, and all pages will
+# contain a <link> tag referring to it.  The value of this option must be the
+# base URL from which the finished HTML is served.
+#html_use_opensearch = ''
+
+# This is the file name suffix for HTML files (e.g. ".xhtml").
+#html_file_suffix = None
+
+# Output file base name for HTML help builder.
+htmlhelp_basename = 'eko-discospecsdoc'
+
+
+# -- Options for LaTeX output --------------------------------------------------
+
+latex_elements = {
+# The paper size ('letterpaper' or 'a4paper').
+#'papersize': 'letterpaper',
+
+# The font size ('10pt', '11pt' or '12pt').
+#'pointsize': '10pt',
+
+# Additional stuff for the LaTeX preamble.
+#'preamble': '',
+}
+
+# Grouping the document tree into LaTeX files. List of tuples
+# (source start file, target name, title, author, documentclass [howto/manual]).
+latex_documents = [
+  ('index', 'eko-discospecs.tex', u'Eko-Disco Specifications',
+   u'WAeUP Germany', 'manual'),
+]
+
+# The name of an image file (relative to this directory) to place at the top of
+# the title page.
+#latex_logo = None
+latex_logo = 'logo.png'
+
+# For "manual" documents, if this is true, then toplevel headings are parts,
+# not chapters.
+#latex_use_parts = False
+
+# If true, show page references after internal links.
+#latex_show_pagerefs = False
+latex_show_pagerefs = True
+
+# If true, show URL addresses after external links.
+#latex_show_urls = False
+
+# Documents to append as an appendix to all manuals.
+#latex_appendices = []
+
+# If false, no module index is generated.
+#latex_domain_indices = True
+
+
+# -- Options for manual page output --------------------------------------------
+
+# One entry per manual page. List of tuples
+# (source start file, name, description, authors, manual section).
+man_pages = [
+    ('index', 'eko-discospecs', u'eko-disco specs Documentation',
+     [u'WAeUP Germany'], 1)
+]
+
+# If true, show URL addresses after external links.
+#man_show_urls = False
+
+
+# -- Options for Texinfo output ------------------------------------------------
+
+# Grouping the document tree into Texinfo files. List of tuples
+# (source start file, target name, title, author,
+#  dir menu entry, description, category)
+texinfo_documents = [
+  ('index', 'eko-discospecs', u'eko-disco specs Documentation',
+   u'WAeUP Germany', 'eko-discospecs', 'One line description of project.',
+   'Miscellaneous'),
+]
+
+# Documents to append as an appendix to all manuals.
+#texinfo_appendices = []
+
+# If false, no module index is generated.
+#texinfo_domain_indices = True
+
+# How to display URL addresses: 'footnote', 'no', or 'inline'.
+#texinfo_show_urls = 'footnote'
+
+# If true, do not generate a @detailmenu in the "Top" node's menu.
+#texinfo_no_detailmenu = False
+
+
+# -- Options for Epub output ---------------------------------------------------
+
+# Bibliographic Dublin Core info.
+epub_title = u'Eko-Disco Specifications'
+epub_author = u'WAeUP Germany'
+epub_publisher = u'WAeUP Germany'
+epub_copyright = u'2013, WAeUP Germany'
+
+# The language of the text. It defaults to the language option
+# or en if the language is not set.
+#epub_language = ''
+
+# The scheme of the identifier. Typical schemes are ISBN or URL.
+#epub_scheme = ''
+
+# The unique identifier of the text. This can be a ISBN number
+# or the project homepage.
+#epub_identifier = ''
+
+# A unique identification for the text.
+#epub_uid = ''
+
+# A tuple containing the cover image and cover page html template filenames.
+#epub_cover = ()
+
+# A sequence of (type, uri, title) tuples for the guide element of content.opf.
+#epub_guide = ()
+
+# HTML files that should be inserted before the pages created by sphinx.
+# The format is a list of tuples containing the path and title.
+#epub_pre_files = []
+
+# HTML files shat should be inserted after the pages created by sphinx.
+# The format is a list of tuples containing the path and title.
+#epub_post_files = []
+
+# A list of files that should not be packed into the epub file.
+#epub_exclude_files = []
+
+# The depth of the table of contents in toc.ncx.
+#epub_tocdepth = 3
+
+# Allow duplicate toc entries.
+#epub_tocdup = True
+
+# Fix unsupported image types using the PIL.
+#epub_fix_images = False
+
+# Scale large images.
+#epub_max_image_width = 0
+
+# If 'no', URL addresses will not be shown.
+#epub_show_urls = 'inline'
+
+# If false, no index is generated.
+#epub_use_index = True
+
+
+# Example configuration for intersphinx: refer to the Python standard library.
+intersphinx_mapping = {'http://docs.python.org/': None}
Index: /main/eko-disco-specs/trunk/index.rst
===================================================================
--- /main/eko-disco-specs/trunk/index.rst	(revision 10584)
+++ /main/eko-disco-specs/trunk/index.rst	(revision 10584)
@@ -0,0 +1,23 @@
+.. eco-disco specs documentation master file, created by
+   sphinx-quickstart on Wed Sep  4 09:10:02 2013.
+   You can adapt this file completely to your liking, but it should at least
+   contain the root `toctree` directive.
+
+Eko-Disco Specifications
+========================
+
+.. Contents:
+
+.. toctree::
+   :maxdepth: 2
+
+   intro
+   use-cases
+   install
+
+
+Indices and tables
+==================
+
+* :ref:`genindex`
+* :ref:`search`
Index: /main/eko-disco-specs/trunk/infos.txt
===================================================================
--- /main/eko-disco-specs/trunk/infos.txt	(revision 10584)
+++ /main/eko-disco-specs/trunk/infos.txt	(revision 10584)
@@ -0,0 +1,107 @@
+2013-08-22 ---------------------------------------------------------------
+
+Dear Henrik,
+
+ I am very sure Issoufou in the past and Hector more recently have told you
+ about the Eko Electricity Distribution Company. We are expected to make a
+ presentation to them perhaps in the coming week regarding a solution for
+ customer information management.
+
+ Here are the key challenges they have:
+ 1) Because they have just bought an old public utility company, they need
+ to do an capture and audit customer data. They are not likely to want to
+ depend on the inherited customer database.
+
+ 2) Customers electricity consumption readings are to be updated every
+ month
+
+ 3) Customer tariff payments are to be captured as well
+
+ 4) All the usual statistical overviews and summary for administrative
+ purposes
+
+ The main concern however is capturing accurate and realistic customer data
+ by:
+
+ 1) Having customers come online to submit their detail or update existing
+ records.
+
+ 2) Have their staff capture the data with a pda app that update the
+ customer database or whatever other realistic method that can be used.
+
+ Ultimately, when the customer database is up to date, then customers
+ should be able to:
+
+ 1) View and update their personal information.
+
+ 2) View their electricity consumption reading and bill for every month (if
+ possible their should be a calculator that every customer can use to
+ personally calculate their bill based on consumption readings).
+
+ 3) Make tariff payments
+
+ 4) Print payment receipts which will contain details about consumption
+ reading, billing period etc.
+
+
+2013-08-24 ---------------------------------------------------------------
+
+
+Comment(by gbenga):
+
+ Replying to [comment:3 henrik]:
+ > > 2) Customers electricity consumption readings are to be updated every
+ month
+ >
+ > Please explain how this will be achieved. You may recall my email of
+ March 30 where I asked:
+ >
+ > Who is reading the meters
+
+ The power company staff
+
+ >how often do they read meters and how do we get the meter data?
+
+ There are 2 kinds of meters i.e:
+
+ 1)Digital Meters: Do not require any reading or monitoring as consumption
+ is prepaid and the prepaid credit on an account gives an idea of the
+ consumption pattern.
+
+ 2)Analogue meters: Consumption is post-paid and so meter readings have to
+ be taken monthly to arrive at the appropriate customer bill for the month
+ in view.
+
+ >I my opinion we also need a user interface for the gas meter readers.
+ This could be a simple smartphone web interface where they can login and
+ enter meter readings. Alternatively, we could deveolop a smartphone applet
+ which scans the barcode of the meter, makes a picture of the meter
+ reading, which is then uploaded to the CIMS. Nobody will be able to enter
+ wrong meter readings.
+ >
+
+ The smart phone applet will be a near perfect solution as it implies no
+ one can cheat.
+
+ > > 2) Have their staff capture the data with a pda app that update the
+ customer database or whatever other realistic method that can be used.
+ >
+ > Do you mean the customer base data like name, address ...? How are they
+ supposed to cature these data? Or do you mean the meter readings?
+ >
+
+ We are open to any workable solution. However, currently they go from
+ place to place taking readings with a pen and paper. This system is
+ however, highly prone to abuse.
+
+ > > So, will you prepare the functional specification document for us?
+ >
+ > Yes, we'll do.
+ >
+ > Regards,
+ >
+ > Henrik
+
+
+2013-08-24 ---------------------------------------------------------------
+
Index: /main/eko-disco-specs/trunk/install.rst
===================================================================
--- /main/eko-disco-specs/trunk/install.rst	(revision 10584)
+++ /main/eko-disco-specs/trunk/install.rst	(revision 10584)
@@ -0,0 +1,27 @@
+How to install this specs
+=========================
+
+Create a virtualenv and activate it::
+
+  $ virtualenv py27
+  $ source py27/bin/activate
+  (py27) $
+
+Install Sphinx::
+
+  (py27) $ pip install sphinx
+
+Download sources::
+
+  (py27) $ svn co https://ulif@svn.waeup.org/repos/main/eko-disco-specs
+  (py27) $ cd eko-disco-specs
+
+Create specs as HTML::
+
+  (py27) $ make html
+
+Create specs as PDF::
+
+  (py27) $ make latexpdf
+
+Results can be found in local ``_build`` dir.
Index: /main/eko-disco-specs/trunk/intro.rst
===================================================================
--- /main/eko-disco-specs/trunk/intro.rst	(revision 10584)
+++ /main/eko-disco-specs/trunk/intro.rst	(revision 10584)
@@ -0,0 +1,14 @@
+About This Document
+*******************
+
+These are the project specifications for the Eko-Disco project.
+
+They describe in a more formal manner the requirements, preconditions,
+postconditions, etc. needed to build the portal software for the
+Eko-Disco project.
+
+Their main goal is to express the expectations of all involved parties
+regarding the mentioned project.
+
+All stakeholders are encouraged to input their own expectations and
+requirements.
Index: /main/eko-disco-specs/trunk/make.bat
===================================================================
--- /main/eko-disco-specs/trunk/make.bat	(revision 10584)
+++ /main/eko-disco-specs/trunk/make.bat	(revision 10584)
@@ -0,0 +1,242 @@
+@ECHO OFF
+
+REM Command file for Sphinx documentation
+
+if "%SPHINXBUILD%" == "" (
+	set SPHINXBUILD=sphinx-build
+)
+set BUILDDIR=_build
+set ALLSPHINXOPTS=-d %BUILDDIR%/doctrees %SPHINXOPTS% .
+set I18NSPHINXOPTS=%SPHINXOPTS% .
+if NOT "%PAPER%" == "" (
+	set ALLSPHINXOPTS=-D latex_paper_size=%PAPER% %ALLSPHINXOPTS%
+	set I18NSPHINXOPTS=-D latex_paper_size=%PAPER% %I18NSPHINXOPTS%
+)
+
+if "%1" == "" goto help
+
+if "%1" == "help" (
+	:help
+	echo.Please use `make ^<target^>` where ^<target^> is one of
+	echo.  html       to make standalone HTML files
+	echo.  dirhtml    to make HTML files named index.html in directories
+	echo.  singlehtml to make a single large HTML file
+	echo.  pickle     to make pickle files
+	echo.  json       to make JSON files
+	echo.  htmlhelp   to make HTML files and a HTML help project
+	echo.  qthelp     to make HTML files and a qthelp project
+	echo.  devhelp    to make HTML files and a Devhelp project
+	echo.  epub       to make an epub
+	echo.  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter
+	echo.  text       to make text files
+	echo.  man        to make manual pages
+	echo.  texinfo    to make Texinfo files
+	echo.  gettext    to make PO message catalogs
+	echo.  changes    to make an overview over all changed/added/deprecated items
+	echo.  xml        to make Docutils-native XML files
+	echo.  pseudoxml  to make pseudoxml-XML files for display purposes
+	echo.  linkcheck  to check all external links for integrity
+	echo.  doctest    to run all doctests embedded in the documentation if enabled
+	goto end
+)
+
+if "%1" == "clean" (
+	for /d %%i in (%BUILDDIR%\*) do rmdir /q /s %%i
+	del /q /s %BUILDDIR%\*
+	goto end
+)
+
+
+%SPHINXBUILD% 2> nul
+if errorlevel 9009 (
+	echo.
+	echo.The 'sphinx-build' command was not found. Make sure you have Sphinx
+	echo.installed, then set the SPHINXBUILD environment variable to point
+	echo.to the full path of the 'sphinx-build' executable. Alternatively you
+	echo.may add the Sphinx directory to PATH.
+	echo.
+	echo.If you don't have Sphinx installed, grab it from
+	echo.http://sphinx-doc.org/
+	exit /b 1
+)
+
+if "%1" == "html" (
+	%SPHINXBUILD% -b html %ALLSPHINXOPTS% %BUILDDIR%/html
+	if errorlevel 1 exit /b 1
+	echo.
+	echo.Build finished. The HTML pages are in %BUILDDIR%/html.
+	goto end
+)
+
+if "%1" == "dirhtml" (
+	%SPHINXBUILD% -b dirhtml %ALLSPHINXOPTS% %BUILDDIR%/dirhtml
+	if errorlevel 1 exit /b 1
+	echo.
+	echo.Build finished. The HTML pages are in %BUILDDIR%/dirhtml.
+	goto end
+)
+
+if "%1" == "singlehtml" (
+	%SPHINXBUILD% -b singlehtml %ALLSPHINXOPTS% %BUILDDIR%/singlehtml
+	if errorlevel 1 exit /b 1
+	echo.
+	echo.Build finished. The HTML pages are in %BUILDDIR%/singlehtml.
+	goto end
+)
+
+if "%1" == "pickle" (
+	%SPHINXBUILD% -b pickle %ALLSPHINXOPTS% %BUILDDIR%/pickle
+	if errorlevel 1 exit /b 1
+	echo.
+	echo.Build finished; now you can process the pickle files.
+	goto end
+)
+
+if "%1" == "json" (
+	%SPHINXBUILD% -b json %ALLSPHINXOPTS% %BUILDDIR%/json
+	if errorlevel 1 exit /b 1
+	echo.
+	echo.Build finished; now you can process the JSON files.
+	goto end
+)
+
+if "%1" == "htmlhelp" (
+	%SPHINXBUILD% -b htmlhelp %ALLSPHINXOPTS% %BUILDDIR%/htmlhelp
+	if errorlevel 1 exit /b 1
+	echo.
+	echo.Build finished; now you can run HTML Help Workshop with the ^
+.hhp project file in %BUILDDIR%/htmlhelp.
+	goto end
+)
+
+if "%1" == "qthelp" (
+	%SPHINXBUILD% -b qthelp %ALLSPHINXOPTS% %BUILDDIR%/qthelp
+	if errorlevel 1 exit /b 1
+	echo.
+	echo.Build finished; now you can run "qcollectiongenerator" with the ^
+.qhcp project file in %BUILDDIR%/qthelp, like this:
+	echo.^> qcollectiongenerator %BUILDDIR%\qthelp\eco-discospecs.qhcp
+	echo.To view the help file:
+	echo.^> assistant -collectionFile %BUILDDIR%\qthelp\eco-discospecs.ghc
+	goto end
+)
+
+if "%1" == "devhelp" (
+	%SPHINXBUILD% -b devhelp %ALLSPHINXOPTS% %BUILDDIR%/devhelp
+	if errorlevel 1 exit /b 1
+	echo.
+	echo.Build finished.
+	goto end
+)
+
+if "%1" == "epub" (
+	%SPHINXBUILD% -b epub %ALLSPHINXOPTS% %BUILDDIR%/epub
+	if errorlevel 1 exit /b 1
+	echo.
+	echo.Build finished. The epub file is in %BUILDDIR%/epub.
+	goto end
+)
+
+if "%1" == "latex" (
+	%SPHINXBUILD% -b latex %ALLSPHINXOPTS% %BUILDDIR%/latex
+	if errorlevel 1 exit /b 1
+	echo.
+	echo.Build finished; the LaTeX files are in %BUILDDIR%/latex.
+	goto end
+)
+
+if "%1" == "latexpdf" (
+	%SPHINXBUILD% -b latex %ALLSPHINXOPTS% %BUILDDIR%/latex
+	cd %BUILDDIR%/latex
+	make all-pdf
+	cd %BUILDDIR%/..
+	echo.
+	echo.Build finished; the PDF files are in %BUILDDIR%/latex.
+	goto end
+)
+
+if "%1" == "latexpdfja" (
+	%SPHINXBUILD% -b latex %ALLSPHINXOPTS% %BUILDDIR%/latex
+	cd %BUILDDIR%/latex
+	make all-pdf-ja
+	cd %BUILDDIR%/..
+	echo.
+	echo.Build finished; the PDF files are in %BUILDDIR%/latex.
+	goto end
+)
+
+if "%1" == "text" (
+	%SPHINXBUILD% -b text %ALLSPHINXOPTS% %BUILDDIR%/text
+	if errorlevel 1 exit /b 1
+	echo.
+	echo.Build finished. The text files are in %BUILDDIR%/text.
+	goto end
+)
+
+if "%1" == "man" (
+	%SPHINXBUILD% -b man %ALLSPHINXOPTS% %BUILDDIR%/man
+	if errorlevel 1 exit /b 1
+	echo.
+	echo.Build finished. The manual pages are in %BUILDDIR%/man.
+	goto end
+)
+
+if "%1" == "texinfo" (
+	%SPHINXBUILD% -b texinfo %ALLSPHINXOPTS% %BUILDDIR%/texinfo
+	if errorlevel 1 exit /b 1
+	echo.
+	echo.Build finished. The Texinfo files are in %BUILDDIR%/texinfo.
+	goto end
+)
+
+if "%1" == "gettext" (
+	%SPHINXBUILD% -b gettext %I18NSPHINXOPTS% %BUILDDIR%/locale
+	if errorlevel 1 exit /b 1
+	echo.
+	echo.Build finished. The message catalogs are in %BUILDDIR%/locale.
+	goto end
+)
+
+if "%1" == "changes" (
+	%SPHINXBUILD% -b changes %ALLSPHINXOPTS% %BUILDDIR%/changes
+	if errorlevel 1 exit /b 1
+	echo.
+	echo.The overview file is in %BUILDDIR%/changes.
+	goto end
+)
+
+if "%1" == "linkcheck" (
+	%SPHINXBUILD% -b linkcheck %ALLSPHINXOPTS% %BUILDDIR%/linkcheck
+	if errorlevel 1 exit /b 1
+	echo.
+	echo.Link check complete; look for any errors in the above output ^
+or in %BUILDDIR%/linkcheck/output.txt.
+	goto end
+)
+
+if "%1" == "doctest" (
+	%SPHINXBUILD% -b doctest %ALLSPHINXOPTS% %BUILDDIR%/doctest
+	if errorlevel 1 exit /b 1
+	echo.
+	echo.Testing of doctests in the sources finished, look at the ^
+results in %BUILDDIR%/doctest/output.txt.
+	goto end
+)
+
+if "%1" == "xml" (
+	%SPHINXBUILD% -b xml %ALLSPHINXOPTS% %BUILDDIR%/xml
+	if errorlevel 1 exit /b 1
+	echo.
+	echo.Build finished. The XML files are in %BUILDDIR%/xml.
+	goto end
+)
+
+if "%1" == "pseudoxml" (
+	%SPHINXBUILD% -b pseudoxml %ALLSPHINXOPTS% %BUILDDIR%/pseudoxml
+	if errorlevel 1 exit /b 1
+	echo.
+	echo.Build finished. The pseudo-XML files are in %BUILDDIR%/pseudoxml.
+	goto end
+)
+
+:end
Index: /main/eko-disco-specs/trunk/use-cases.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases.rst	(revision 10584)
+++ /main/eko-disco-specs/trunk/use-cases.rst	(revision 10584)
@@ -0,0 +1,12 @@
+Use Cases
+*********
+
+Here we collect all use-cases identified to occur with regard to the
+Eko-Disco project. Use-cases are important to check which actors
+interact with the system in what way.
+
+.. toctree::
+   :maxdepth: 1
+
+   use-cases/sample
+   use-cases/meter-reading
Index: /main/eko-disco-specs/trunk/use-cases/meter-reading.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/meter-reading.rst	(revision 10584)
+++ /main/eko-disco-specs/trunk/use-cases/meter-reading.rst	(revision 10584)
@@ -0,0 +1,111 @@
+Use Case: Reading a Meter
+***********************************************************************
+
+.. Description of a use case
+.. The description must be formulated as seen from system (not: actors)
+.. Describes those changes an (outside) actor can notice
+.. Short and abstract as possible, as long as necessary.
+.. Each use case must have at least one actor involved
+.. Each use case must have a trigger and a result
+
+
+Short Description
+-----------------------------------------------------------------------
+
+A meter is read and the read values are stored in system.
+
+
+Actor(s)
+-----------------------------------------------------------------------
+
+meter reader, web portal
+
+
+Trigger(s)
+-----------------------------------------------------------------------
+
+a read-meter form is requested from portal
+
+
+Result(s)
+-----------------------------------------------------------------------
+
+The new meter values are stored in database.
+
+
+Incoming Data
+-----------------------------------------------------------------------
+
+username, password, meter id, amount, datetime of reading
+
+
+Outgoing Data
+-----------------------------------------------------------------------
+
+login form, meter form, success message
+
+
+Precondition(s)
+-----------------------------------------------------------------------
+
+The system is running
+
+
+Postcondition(s)
+-----------------------------------------------------------------------
+
+The system is running
+
+
+Invariant(s)
+-----------------------------------------------------------------------
+
+
+
+
+Essential Steps
+-----------------------------------------------------------------------
+
+* authenticate meter reader
+* get meter id, meter value, datetime
+* check input values:
+
+  * does the meter id exist?
+  * if not, ask and add a new one
+  * value >= old value?
+
+* add new reading in database
+* output success message
+
+
+Open Issues
+-----------------------------------------------------------------------
+
+Meter data input can also be performed by some automatic system:
+
+  - automatic meters send their data automatically (how does these
+    data look like and where is it stored?)
+
+  - a smartphone/tablet app might deliver the data by photograph/OCR
+
+These input devices need an API to deliver data or they require some
+API to be able to input data into the system.
+
+
+Change Log
+-----------------------------------------------------------------------
+
++------------+----------+------------+--------------------------------+
+| Timestamp  | Who      | New Status | What                           |
++------------+----------+------------+--------------------------------+
+| 2013-09-04 | uli      | init       | initial specs                  |
++------------+----------+------------+--------------------------------+
+
+
+Remarks
+-----------------------------------------------------------------------
+
+
+.. raw:: latex
+
+      \pagebreak[2]
Index: /main/eko-disco-specs/trunk/use-cases/sample.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/sample.rst	(revision 10584)
+++ /main/eko-disco-specs/trunk/use-cases/sample.rst	(revision 10584)
@@ -0,0 +1,102 @@
+Sample-Use-Case: Withdraw Money from ATM
+***********************************************************************
+
+.. Description of a use case
+.. The description must be formulated as seen from system (not: actors)
+.. Describes those changes an (outside) actor can notice
+.. Short and abstract as possible, as long as necessary.
+.. Each use case must have at least one actor involved
+.. Each use case must have a trigger and a result
+
+
+Short Description
+-----------------------------------------------------------------------
+
+An account holder is paid a requested amount of money and the account
+is charged this amount.
+
+
+Actor(s)
+-----------------------------------------------------------------------
+
+Account holder, Accounting System
+
+
+Trigger(s)
+-----------------------------------------------------------------------
+
+The account holder puts a debit card into the ATM slot.
+
+
+Result(s)
+-----------------------------------------------------------------------
+
+The account holder got an amount of money. The account has been
+charged. The account holder got back the debit card.
+
+
+Incoming Data
+-----------------------------------------------------------------------
+
+PIN, requested amount
+
+
+Outgoing Data
+-----------------------------------------------------------------------
+
+Data leaving the system _during_ use case. Includes only data not
+existing any more after use-case has been finished. For instance
+screen messages, etc.
+
+
+Precondition(s)
+-----------------------------------------------------------------------
+
+The ATM is ready to receive a debit card.
+
+
+Postcondition(s)
+-----------------------------------------------------------------------
+
+The ATM is ready to receive a debit card.
+
+
+Invariant(s)
+-----------------------------------------------------------------------
+
+
+
+
+Essential Steps
+-----------------------------------------------------------------------
+
+* Authenticate account holder
+* Get requested amount
+* Check possibility to withdraw
+* Charge account
+* Pay amount
+
+
+Open Issues
+-----------------------------------------------------------------------
+
+
+
+
+Change Log
+-----------------------------------------------------------------------
+
++------------+----------+------------+--------------------------------+
+| Timestamp  | Who      | New Status | What                           |
++------------+----------+------------+--------------------------------+
+| 2013-09-04 | uli      | init       | Initial samples                |
++------------+----------+------------+--------------------------------+
+
+
+Remarks
+-----------------------------------------------------------------------
+
+
+.. raw:: latex
+
+      \pagebreak[4]
